Create Trails
Endpoint used to create new learning trails in your institution in Toolzz LMS.
Request Example
Section titled “Request Example”curl --request POST \ --url 'https://kong.api.toolzz.com.br/api/content/trail/new_trail' \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "trail_title": "<string>", "trail_description": "<string>", "group": [], "school": [], "available_content": "<string>", "available_content_type": [0, 1] }'Response Example
Section titled “Response Example”{ "data": { "id": 123, "trail_title": "<string>", "status": "published" }}Request description
Section titled “Request description”Access Token
Section titled “Access Token”| Parameter | Type | Description | Required |
|---|---|---|---|
Authorization | String | Access token (“Bearer” must be before the token) | Yes |
Body Parameters
Section titled “Body Parameters”| Parameter | Type | Description | Required |
|---|---|---|---|
trail_title | string | Trail title. Maximum of 255 characters. | Yes |
trail_description | string | Trail description. | Yes |
group | array | Array of groups by name, comma-separated. | Yes |
school | array | Subdomains of schools where the trail will be available. Array with comma-separated values. | Yes |
available_content | string | Trail content items, comma-separated. Each item must be the name or ID of the content. | Yes |
available_content_type | array[int] | Type of content included in available_content, comma-separated. Each item must be 0 (course type) or 1 (content type), positionally associated with each content item in available_content. E.g., for Course 01, Content 01, declare as 0,1. | Yes |
subgroup | array | Array of subgroups by name, comma-separated. | No |
specialty | array | Array of specialties by name, comma-separated. | No |
trail_start_date | date | Trail start date. Must be equal to or after the current date. | No |
trail_end_date | date | Trail end date. Must be after trail_start_date. | No |
workload | int | Workload in hours. Must be greater than 0. | No |
certificate | string | Certificate awarded in the trail. Maximum of 255 characters for name or certificate ID. | No |
progression_criteria | int | Progression criteria. 0: No criteria. 1: Sequential. 2: By period. 3: By performance. | No |
volume | int | Integer representing the volume. Must be between 1 and 10. | No |
tag | array | Tags, comma-separated. | No |
trail_view | int | Trail visual. 0: Standard view. 1: Gamified view. | No |
cover | string | Cover image URL. Must be in ‘jpeg’, ‘png’, or ‘jpg’ format and max 4096 KB. If not provided, the institution logo will be used. | No |
days_to_release | int | Days to release the next content. Required if progression_criteria is 2. Must be greater than 1. | No |
trail_is_exclusive | boolean | Defines if the trail is exclusive. | No |
class_ids | array[int] | Class IDs to be linked to the trail. If trail_is_exclusive is true and class_ids is not provided, classes will be created within the schools specified in school. | No |
Security
Section titled “Security”To access this endpoint, it is necessary to send a valid access token through the authorization header (Authorization) of the request. Additionally, the API is protected by other security measures to safeguard user data.